void printl(long val);

int main()
{
  unsigned long i, j, val;

  for (i = -2; (long)i < 3; i++)
    for (j = -2; (long)j < 3; j++) {
      val = i == j; printl(val);
      val = i != j; printl(val);
    }

  return 0;
}
